module forbidden_words_solution;
version = IO_FILES;
import std.stdio;
import std.string;

immutable string PROBLEM_NAME = "forbidden-words";
immutable int LET = 26;
immutable int LOG_LOG = 5;
immutable int LOG_S = LET - LOG_LOG;
immutable int MAX_S = 1 << LOG_S;
immutable int MAX_L = 1 << LET;

uint [] f;

bool solve ()
{
	foreach (i; 0..MAX_L)
	{
		if (f[i >> 5] & (1u << (i & 31)))
		{
			foreach (j; 0..LET)
			{
				if (!(i & (1 << j)))
				{
					int k = i ^ (1 << j);
					f[k >> 5] |= 1u << (k & 31);
				}
			}
		}
	}
	
	foreach_reverse (i; 0..MAX_L)
	{
		if (!(f[i >> 5] & (1u << (i & 31))))
		{
			foreach (j; 0..LET)
			{
				if (i & (1 << j))
				{
					int k = i ^ (1 << j);
					f[k >> 5] |= 1u << (k & 31);
				}
			}
		}
	}
	
	return f[0] & 1u;
}

void main ()
{
	version (IO_FILES)
	{
		stdin  = File (PROBLEM_NAME ~ ".in",  "rt");
		stdout = File (PROBLEM_NAME ~ ".out", "wt");
	}

	f = new uint [MAX_S];

	int n;
	while (readf (" %s ", &n) > 0)
	{
		f[] = 0;
		foreach (i; 0..n)
		{
			auto t = readln ().strip ();
			int s = 0;
			foreach (c; t)
			{
				int d = c - 'a';
				s |= 1u << d;
			}
			f[s >> 5] |= 1u << (s & 31);
		}

		writeln (solve () ? "First" : "Second");
	}
}
